org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryGetTablesMetaRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId
  - - org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest
    - - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryGetTablesMetaRequest

All Implemented Interfaces:
  ClientListenerRequest

    public class OdbcQueryGetTablesMetaRequest
    extends OdbcRequest

ODBC query get tables meta request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`META_COLS, META_PARAMS, META_RESULTSET, META_TBLS, MORE_RESULTS, QRY_CLOSE, QRY_EXEC, QRY_EXEC_BATCH, QRY_FETCH, STREAMING_BATCH`

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryGetTablesMetaRequest(String catalog, String schema, String table, String tableType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `catalog()`
`String` `schema()`
`String` `table()`
`String` `tableType()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`command`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcQueryGetTablesMetaRequest

    public OdbcQueryGetTablesMetaRequest(String catalog,
                                         String schema,
                                         String table,
                                         String tableType)

Parameters:
  `catalog` - Catalog search pattern.
  `schema` - Schema search pattern.
  `table` - Table search pattern.
  `tableType` - Table type search pattern.

### Method Detail

#### catalog

    public String catalog()

Returns:
  catalog search pattern.

#### schema

    public String schema()

Returns:
  Schema search pattern.

#### table

    public String table()

Returns:
  Table search pattern.

#### tableType

    public String tableType()

Returns:
  Table type search pattern.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022